<div class="content ">
        
    <div class="card">
        <div class="card-body">
            <div class="d-md-flex gap-4 align-items-center">
                <div class="d-none d-md-flex">All Users</div>
                <div class="d-md-flex gap-4 align-items-center">
                    <div class="mb-3 mb-md-0">
                        <div class="row g-3">
                            <div class="col-md-3">
                                <select class="form-select">
                                    <option>Sort by</option>
                                    <option value="desc">Desc</option>
                                    <option value="asc">Asc</option>
                                </select>
                            </div>
                            <div class="col-md-3">
                                <select class="form-select">
                                    <option value="10">10</option>
                                    <option value="20">20</option>
                                    <option value="30">30</option>
                                    <option value="40">40</option>
                                    <option value="50">50</option>
                                </select>
                            </div>
                            <div class="col-md-6">
                                <div class="input-group">
                                    <input type="text" class="form-control" [(ngModel)]="search_name" placeholder="Search">
                                    <button class="btn btn-outline-light" type="button">
                                        <i class="bi bi-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            
            </div>
        </div>
    </div>

    <div class="table-responsive" tabindex="1" style="overflow: hidden; outline: none;">
        <table id="users" class="table table-custom table-lg">
            <thead>
                <tr>
                    <th>
                        <input class="form-check-input select-all" type="checkbox" data-select-all-target="#users" id="defaultCheck1">
                    </th>
                    <th>image</th>
                    <th>lastName</th>
                    <th>Username</th>
                    <th>Addresse</th>
                    <th>Télephone</th>

                    <th class="text-end">Action</th>
                </tr>
        
            </thead>
            <tbody>
            <tr *ngFor="let u of entreprise|recherche2:search_name| paginate: { itemsPerPage: 3, currentPage: p }">
                <td>
                    <input class="form-check-input" type="checkbox">
                </td>
                <td>
                    <a href="#">
                        <figure class="avatar me-3">
                            <img src="http://localhost:8083/users/files/{{u.image}}"  class="rounded-circle" alt="avatar">
                        </figure>
                        {{u.firstName}}
                    </a>
                </td>
                <td>{{u.lastName}}</td>
                <td>{{u.username}}</td>
                <td>{{u.adresse}}</td>
                <td>{{u.tel}}</td>
                <!-- <td>
                    <span class="badge bg-danger">Blocked</span>
                </td> -->
                <td class="text-end">
                    <div class="dropdown">
                        <a href="#" data-bs-toggle="dropdown" class="btn btn-floating" aria-haspopup="true" aria-expanded="false">
                            <i class="bi bi-three-dots"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-end">
                            <a [routerLink]="['/detailentreprise',u.id]" class="dropdown-item">View details</a>
                            <a href="#" class="dropdown-item">Edit</a>
                            <a (click)="deleteentreprise(u.id)" class="dropdown-item text-danger">Delete</a>
                        </div>
                    </div>
                </td>
            </tr>
           
            </tbody>
        </table>
        <pagination-controls (pageChange)="p = $event"></pagination-controls>

    </div>



    </div>
